---
title: "Assign Job to Security Group"
slug: "assign-job-to-security-group"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/assign-job-to-security-group"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Job to Security Group

Post/sys-rest-api/rest/1/jcjobsecgrpjob

## Overview

This endpoint allows jobs and projects to be assigned to job/project security groups, enabling users assigned to those groups to access the associated records.

## UI Navigation

System Data > Job/Project Security > Assign Job/Project to Security Groups

## Reference Article

[https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/Security/Job_Project_Security.htm?Highlight=assign%20user%20to%20job%20security%20group](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/Security/Job_Project_Security.htm?Highlight=assign%20user%20to%20job%20security%20group)

## Finders

The following finders are available for data filtering and optimizing request performance.

- findByJobCode
- findByCompCode
- findByGroupCode

## Query Standards

| Key | Recommended | Description |
| --- | --- | --- |
| `finder` | Yes | Filters data based on attributes. |
| `limit` | Yes | No. of items to return |
| `offset` | Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit [Best Practice |
| `orderBy` | Yes | The `orderBy` attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using `orderBy` functionality, please visit [Best Practice |

## Finders

| Finder | Parameter | Data Type | Description | Example | Mandatory |
| --- | --- | --- | --- | --- | --- |
| PrimaryKey | VUUID | String | V_UUID | /431ACBF2E3E36B08E0630B811DAC71E5 | False |
| findByCompCode | compCode | String | companyCode | /syst-rest-api/rest/1/jcjobsecgrpuser?finder=findByCompCode;compCode="ZZ" | Optional |
| findByGroupCode | groupCode | String | security group | /sys-rest-api/rest/1/jcjobsecgrpuser?finder=findByGroupCode;groupCode="MASTER" | Optional |
| findByJobCode | jobCode | String | user | /sys-rest-api/rest/1/jcjobsecgrpuser?finder=findByJobCode;jobCode="PC-20246" | Optional |

## Attributes

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Mandatory |
| --- | --- | --- | --- | --- | --- | --- | --- |
|  | jcjobsecgrpjob | JcgjJobCode | job code | String | 10 | "PC-20246" | True |
|  | jcjobsecgrpjob | JsgjCompCode | company code | String | 8 | ZZ | True |
|  | jcjobsecgrpjob | JcgjGroupCode | security group | String | 10 | MASTER | True |
|  | jcjobsecgrpjob | JcgjVUuid | vuuid | String | 64 | 431ACBF2E3E36B08E0630B811DAC71E5 | False |

SecurityHTTPType basic

Basic authentication

Body parameters<select class='api-response-data' aria-label='Media type'><option value='e0973e6b-7a31-4088-97ba-a6138ebb60e9'>application/json</option>
</select>object  Example{
  "JcgjGroupCode": "JOBTEST",
  "JcgjJobCode": "PC-20246",
  "JsgjCompCode": "ZZ",
  "JcgjVUuid": "1"
}

Responses201

Created

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
<select class='api-response-data' aria-label='Media type'><option value='34ace952-4323-4c70-9224-5e3709a7db66'>text/plain</option>
</select>

```
"{\n    \"JcgjGroupCode\": \"JOBTEST\",\n    \"JcgjJobCode\": \"PC-20246\",\n    \"JsgjCompCode\": \"ZZ\",\n    \"JcgjJobName\": null,\n    \"JcgjVUuid\": \"448557986F26C8D4E0630B811DAC5C10\",\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/sys-rest-api/rest/1/jcjobsecgrpjob/448557986F26C8D4E0630B811DAC5C10\",\n            \"name\": \"jcjobsecgrpjob\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/sys-rest-api/rest/1/jcjobsecgrpjob/448557986F26C8D4E0630B811DAC5C10\",\n            \"name\": \"jcjobsecgrpjob\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
```

string
